MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002326VCMIAI - Adventure Mappublic2015-11-13 21:032016-09-12 03:12
ReporterSXX 
Assigned ToSXX 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.98e 
Target VersionFixed in Version0.99 
Summary0002326: AI turn takes really long when there is many completely blocked heroes
DescriptionIt's understandable that AI unfinished, but this one is make testing harder as I use map with blocked enemy heroes to test battles.

Map (v3) can be downloaded on forum:
http://forum.vcmi.eu/viewtopic.php?t=1108 [^]
If you end turn AI try to move each of heroes 18 times which is really slow.
We need some code that let us handle that somehow.
TagsNo tags attached.
Attached Files

- Relationships
related to 0001043resolved AI endlessly tries to visit Corpse 
related to 0001590closedSXX border guard - useless expenditure of a turn. 
related to 0001713resolvedWarmonger very long turn AI - SectorMap memory leak 

-  Notes
(0006385)
SXX (administrator)
2016-01-30 11:33

I suppose problem is decreased by this pull request:
https://github.com/vcmi/vcmi/pull/157 [^]

Looks like there is some problem with quest objects visit that make AI visit them indefinitely. Though applied fix likely make AI stop visiting them after some time.
(0006409)
Warmonger (administrator)
2016-02-07 11:28
edited on: 2016-02-07 11:30

This can be general problem with all objects that have "blockVis" property, that is AI can't stand on them, including Corpse, Tavern and Prison.

(0006410)
SXX (administrator)
2016-02-07 15:07

Yeah I suspect problem can be related to some code that pretend that hero may visit specific tile while it's blockvis.
(0006653)
SXX (administrator)
2016-09-12 03:12

With recent AI performance optimizations this is no longer issue.
Still worth to check blockvis objects.

- Issue History
Date Modified Username Field Change
2015-11-13 21:03 SXX New Issue
2015-11-13 21:03 SXX Status new => assigned
2015-11-13 21:03 SXX Assigned To => Warmonger
2015-11-13 21:44 SXX Description Updated View Revisions
2015-12-04 15:56 SXX Relationship added related to 0002212
2015-12-04 16:01 SXX Assigned To Warmonger => SXX
2015-12-09 14:47 SXX Relationship deleted related to 0002212
2016-01-30 11:33 SXX Note Added: 0006385
2016-01-30 11:33 SXX Relationship added related to 0002383
2016-02-04 17:27 SXX Relationship added related to 0001713
2016-02-07 11:28 Warmonger Note Added: 0006409
2016-02-07 11:29 Warmonger Relationship added related to 0001043
2016-02-07 11:30 Warmonger Note Edited: 0006409 View Revisions
2016-02-07 15:07 SXX Note Added: 0006410
2016-02-25 03:17 SXX Relationship deleted related to 0002383
2016-02-25 03:21 SXX Relationship added duplicate of 0001590
2016-02-25 05:56 SXX Relationship deleted 0001590
2016-02-25 05:56 SXX Relationship added related to 0001590
2016-09-12 03:12 SXX Note Added: 0006653
2016-09-12 03:12 SXX Status assigned => resolved
2016-09-12 03:12 SXX Fixed in Version => 0.99
2016-09-12 03:12 SXX Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean